function val = boxcoxcdf(x,m,sigma,lambda)

% CDF of a Box-Cox-transformed Gaussian distribution
%
% Inputs:
%
% X........vector of values at which the PDF is sought
%
% m.......location parameter
%
% sigma....scale parameter
%
% lambda...Box-Cox parameter
%
% Outputs:
%
% val.....CDF of the Box-Cox-transformed Gaussian distribution
%
% Hannes Kazianka, August 2011

    val=(normcdf((x.^lambda-1)./lambda,m,sigma)-normcdf(-1/lambda,m,sigma))./(1-normcdf(-1/lambda,m,sigma));
    