function val = boxcoxinv(x,m,sigma,lambda)

% Quantile function of a Box-Cox-transformed Gaussian distribution
%
% Inputs:
%
% X........vector of values at which the quantile function is sought
%
% m.......location parameter
%
% sigma....scale parameter
%
% lambda...Box-Cox parameter
%
% Outputs:
%
% val.....quantiles of the Box-Cox-transformed Gaussian distribution
%
% Hannes Kazianka, August 2011

    val=(lambda*norminv(x.*(1-normcdf(-1/lambda,m,sigma))+normcdf(-1/lambda,m,sigma),m,sigma)+1).^(1/lambda);
    