function val = boxcoxpdf(x,m,sigma,lambda)

% PDF of a Box-Cox-transformed Gaussian distribution
%
% Inputs:
%
% X........vector of values at which the PDF is sought
%
% m.......location parameter
%
% sigma....scale parameter
%
% lambda...Box-Cox parameter
%
% Outputs:
%
% val.....PDF of the Box-Cox-transformed Gaussian distribution
%
% Hannes Kazianka, August 2011


    val=normpdf((x.^lambda-1)./lambda,m,sigma).*x.^(lambda-1)./(1-normcdf(-1/lambda,m,sigma));
    
