function val = gamModcdf(x,m,a,b)

% CDF of a Gamma distribution with location parameter m
%
% See: gampdf
%
% Inputs:
%
% x........vector of values at which the CDF is sought
%
% m.......location parameter
%
% a.......shape parameter
%
% b.......inverse scale parameter
%
% Outputs:
%
% val.....CDF of a Gamma distribution with location parameter
%
% Hannes Kazianka, August 2011

    val=gamcdf(x-m,a,b);
